Panda3D

Classes | Public Member Functions | List of all members
EggToObjConverter Class Reference

Convert an obj file to egg data. More...

`#include "eggToObjConverter.h"`

Inheritance diagram for EggToObjConverter:

## Public Member Functions
| EggToObjConverter (const EggToObjConverter &copy)
virtual std::string | get_extension () const
| Returns the common extension of the file type this converter supports. More...
virtual std::string | get_name () const
| Returns the English name of the file type this converter supports. More...
virtual EggToSomethingConverter * | make_copy ()
| Allocates and returns a new copy of the converter. More...
virtual bool | supports_compressed () const
| Returns true if this file type can transparently save compressed files (with a .pz extension), false otherwise. More...
virtual bool | write_file (const Filename &filename)
| Handles the conversion of the internal EggData to the target file format, written to the specified filename. More...
Public Member Functions inherited from EggToSomethingConverter
| EggToSomethingConverter (const EggToSomethingConverter &copy)
void | clear_egg_data ()
| Sets the EggData to NULL and makes the converter invalid. More...
void | clear_error ()
| Resets the error flag to the no-error state. More...
virtual std::string | get_additional_extensions () const
| Returns a space-separated list of extension, in addition to the one returned by get_extension(), that are recognized by this converter. More...
EggData * | get_egg_data ()
| Returns the EggData structure. More...
CoordinateSystem | get_output_coordinate_system () const
DistanceUnit | get_output_units () const
| Returns the value supplied to set_output_units(). More...
bool | had_error () const
| Returns true if an error was detected during the conversion process, false otherwise. More...
void | set_egg_data (EggData *egg_data)
| Sets the egg data that will be filled in when convert_file() is called. More...
void | set_output_coordinate_system (CoordinateSystem output_coordinate_system) const
void | set_output_units (DistanceUnit output_units)
| Specifies the units that the EggData has already been scaled to. More...

## Detailed Description

Convert an obj file to egg data.

Definition at line 26 of file eggToObjConverter.h.

## Member Function Documentation

## ◆ get_extension()

string EggToObjConverter::get_extension | ( |  | ) | const
| virtual

Returns the common extension of the file type this converter supports.

Implements EggToSomethingConverter.

Definition at line 72 of file eggToObjConverter.cxx.

## ◆ get_name()

string EggToObjConverter::get_name | ( |  | ) | const
| virtual

Returns the English name of the file type this converter supports.

Implements EggToSomethingConverter.

Definition at line 64 of file eggToObjConverter.cxx.

## ◆ make_copy()

EggToSomethingConverter * EggToObjConverter::make_copy | ( |  | ) |
| virtual

Allocates and returns a new copy of the converter.

Implements EggToSomethingConverter.

Definition at line 55 of file eggToObjConverter.cxx.

## ◆ supports_compressed()

bool EggToObjConverter::supports_compressed | ( |  | ) | const
| virtual

Returns true if this file type can transparently save compressed files (with a .pz extension), false otherwise.

Reimplemented from EggToSomethingConverter.

Definition at line 81 of file eggToObjConverter.cxx.

## ◆ write_file()

bool EggToObjConverter::write_file | ( | const Filename & | filename | ) |
| virtual

Handles the conversion of the internal EggData to the target file format, written to the specified filename.

Implements EggToSomethingConverter.

Definition at line 90 of file eggToObjConverter.cxx.

References EggToSomethingConverter::clear_error().

The documentation for this class was generated from the following files:

- pandatool/src/objegg/eggToObjConverter.h
- pandatool/src/objegg/eggToObjConverter.cxx